const std = @import("std");

pub fn build(
	b: *std.Build,
	target: std.Build.ResolvedTarget,
	optimize: std.builtin.OptimizeMode,
) *std.Build.Step.Compile {
	const mod = b.createModule(.{
		.root_source_file = b.path("common/src/root.zig"),
		.target = target,
		.optimize = optimize,
	});

	const step = b.addLibrary(.{
		.linkage = .static,
		.name = "chat.common",
		.root_module = mod,
	});

	return step;
}
